View Issue Details

IDProjectCategoryView StatusLast Update
0001374NoesisGUIUnity3Dpublic2019-04-15 20:33
ReporterarukariAssigned Tosfernandez 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.1.0f1 
Target Version2.2.2Fixed in Version2.2.2 
Summary0001374: NoesisGUIExtensions: PlaneProjection rotate OpacityMask
DescriptionDrawing is wrong when you rotate control using OpacityMask with PlaneProjection.
Rotation animation speed is also different.

Steps To Reproduce                <noesis:Element.Projection>
                    <noesis:PlaneProjection RotationX="45" RotationY="-30" RotationZ="-30" />
                </noesis:Element.Projection>

                            <Canvas ClipToBounds="True" Background="#8000FFFF">
                                <Canvas.OpacityMask>
                                    <ImageBrush ImageSource="radarMask2.png">
                                        <ImageBrush.RelativeTransform>
                                            <RotateTransform CenterX="0.5" CenterY="0.5" />
                                        </ImageBrush.RelativeTransform>
                                    </ImageBrush>
                                </Canvas.OpacityMask>
                                <Canvas.Triggers>
                                    <EventTrigger RoutedEvent="FrameworkElement.Loaded">
                                        <BeginStoryboard>
                                            <Storyboard>
                                                <DoubleAnimationUsingKeyFrames Storyboard.TargetProperty="(Canvas.OpacityMask).(Brush.RelativeTransform).(RotateTransform.Angle)" RepeatBehavior="Forever">
                                                    <EasingDoubleKeyFrame KeyTime="0:0:0" Value="0"/>
                                                    <EasingDoubleKeyFrame KeyTime="0:0:4" Value="360"/>
                                                </DoubleAnimationUsingKeyFrames>
                                            </Storyboard>
                                        </BeginStoryboard>
                                    </EventTrigger>
                                </Canvas.Triggers>
                            </Canvas>

Compare Rotation Speed.
                <Line x:Name="RadarEllipse" X1="150" Y1="150" X2="300" Y2="150" Stroke="Cyan" StrokeThickness="1" RenderTransformOrigin="0,0">
                    <Line.RenderTransform>
                        <RotateTransform Angle="0" CenterX="150" CenterY="150"/>
                    </Line.RenderTransform>
                    <Line.Triggers>
                        <EventTrigger RoutedEvent="FrameworkElement.Loaded">
                            <BeginStoryboard>
                                <Storyboard>
<!-- Vertical inverted bug. -->
                                    <DoubleAnimationUsingKeyFrames Storyboard.TargetProperty="(Line.RenderTransform).(RotateTransform.Angle)" RepeatBehavior="Forever" >
                                        <EasingDoubleKeyFrame KeyTime="0:0:4" Value="0" />
                                        <EasingDoubleKeyFrame KeyTime="0:0:0" Value="360"/>
                                    </DoubleAnimationUsingKeyFrames>
                                </Storyboard>
                            </BeginStoryboard>
                        </EventTrigger>
                    </Line.Triggers>
                </Line>
TagsUnity
PlatformWindows

Relationships

related to 0001373 resolvedsfernandez OpacityMask Vertically and Rotate Inverted. 

Activities

arukari

arukari

2018-12-11 06:08

reporter  

無題.png (89,116 bytes)
無題.png (89,116 bytes)
arukari

arukari

2019-03-20 04:25

reporter   ~0005541

I'm waiting for fix.

Issue History

Date Modified Username Field Change
2018-12-11 06:08 arukari New Issue
2018-12-11 06:08 arukari Tag Attached: Unity
2018-12-11 06:08 arukari File Added: 無題.png
2018-12-12 11:02 sfernandez Assigned To => sfernandez
2018-12-12 11:02 sfernandez Status new => assigned
2018-12-12 11:03 sfernandez Relationship added related to 0001373
2019-03-20 04:21 jsantos Target Version => 2.2.1
2019-03-20 04:21 jsantos Description Updated View Revisions
2019-03-20 04:21 jsantos Steps to Reproduce Updated View Revisions
2019-03-20 04:25 arukari Note Added: 0005541
2019-04-05 12:24 sfernandez Target Version 2.2.1 => 2.2.2
2019-04-15 20:33 sfernandez Status assigned => resolved
2019-04-15 20:33 sfernandez Resolution open => fixed
2019-04-15 20:33 sfernandez Fixed in Version => 2.2.2